Subject: bug#24070: LaTeX mode doesn't load in 11.89.4

From: Stefan Monnier <[email-masked]>
Date: Tue, 26 Jul 2016 23:14:24 -0400

> Sorry, I don't quite understand the purpose of the patch.   Is it
> intended for the ELPA version of AUCTeX or for the upstream package?

The ELPA version.

> The fact that the package is against tex-site.el in ELPA makes me
> think it's for the ELPA version of AUCTeX.  In that case, I don't have
> any objection against trying to make the installation easier for users
> (even if I don't know how the current installation method via ELPA can
> be defined as "hard").

The intent is not to make the installation easier.
It's to make it compatible with the old (require 'tex-site) method.
But as mentioned, maybe rather than make (require 'tex-site) work, it
might be preferable to emit a warning explaining that it's better to
just do nothing and let package-initialize do its job.

        Stefan